NI FlexRIO 19.0

 
NI FlexRIO 19.0
NI FlexRIO 19.0 | 8.5 Gb
The National Instruments team is pleased to announce the availability of FlexRIO 19.0 Drivers which provides support for customers using NI FlexRIO devices. The latest release include the following new feature, such as support for LabVIEW 2019.


The FlexRIO Driver is an NI instrument driver that supports FlexRIO devices. It includes hardware support for FlexRIO devices with integrated I/O, as well as FlexRIO devices with modular I/O, including the PXI FPGA Module for FlexRIO and the various adapter modules for FlexRIO. For FlexRIO devices with integrated I/O, the FlexRIO Driver also includes an API for streaming as well as support for synchronization with NI-TClk.
The FlexRIO product line was designed for engineers and scientists who need the flexibility of custom hardware without the cost of custom design. Featuring large, user-programmable FPGAs and high-speed analog, digital, and RF I/O, FlexRIO provides a fully reconfigurable instrument that you can program graphically with LabVIEW or with VHDL/Verilog. FlexRIO products are available in two architectures. The first architecture incorporates modular I/O modules that attach to the front of a PXI FPGA Module for FlexRIO and communicate over a parallel digital interface, and the second uses high-speed serial converters and features integrated I/O and Xilinx UltraScale FPGA technology in a single device.






Since 1976, National Instruments has equipped engineers and scientists with tools that accelerate productivity, innovation and discovery. NI's graphical system design approach to engineering provides an integrated software and hardware platform that speeds the development of any system needing measurement and control. The company's long-term vision and focus on improving society through its technology supports the success of its customers, employees, suppliers and shareholders.
Product: NI FlexRIO
Version: 19.0.0.49153
Supported Architectures: 32bit & 64bit
Website Home Page :
www.ni.com

Language: english
System Requirements: PC *
Supported Operating Systems: *
Software Prerequisites: *
Supported Hardware: **
Size: 8.5 Gb


Note: Install programming environments such as NI LabVIEW or Microsoft Visual Studio before installing this product.
Supported Operating Systems
Windows 10 *
Windows 8.1 *
Windows 7 Service Pack 1
Windows Server 2008 R2 64bit *
Note: In July 2016, NI dropped support for Windows Vista, Windows XP, Windows Server 2003, and installations of Windows 7 without any service packs. FlexRIO 19.0 will not install or run on an unsupported OS. You cannot deploy or distribute applications that use FlexRIO 19.0 to an unsupported OS. Additionally, after installing FlexRIO 19.0, you cannot use any installers built on this computer with any version of LabVIEW, LabWindows/CVI, NI TestStand, or Measurement Studio on an unsupported OS.
* NI software installs VC2015 Runtime and .NET 4.6.1. Windows 8.1 and Windows Server 2012 R2 require Microsoft updates to support these items. Refer to Microsoft KB2919442 and KB2919355 for more information about how to install these updates.
** NI software is signed with a SHA-256 certificate. Windows 7 SP1, Windows Embedded Standard 7 SP1, and Windows Server 2008 R2 SP1 require Microsoft updates to support SHA-256. Refer to Microsoft KB3033929 for more information about how to install this security update.
Note: FlexRIO 19.0 does not support Windows Server non-R2 editions.
NI recommends that you have the most recent service pack for your operating system installed.
Supported Real-Time Operating Environments
FlexRIO 19.0 supports the following real-time operating environments:
- LabVIEW Real-Time Module
Minimum System Requirements
- Processor-1 GHz or faster 32-bit (x86) or 64-bit (x64) processor
- RAM-1 GB RAM (32-bit) or 2 GB RAM (64-bit)
- A screen resolution of 1,024 x 768
- Windows 10/8.1/7, with all available critical updates and service packs
Application Development Environments (ADEs)
Note: You should install ADEs before installing FlexRIO 19.0. To add support for ADEs installed after installing FlexRIO 19.0, modify your FlexRIO 19.0 installation or launch the FlexRIO 19.0 installer again.
- LabVIEW 2016, 2017 SP1, 2018, and 2019
- LabVIEW Real-Time Module 2016, 2017, 2018, and 2019
- LabVIEW FPGA Module 2016, 2017 SP1, 2018, and 2019
- If you are running your application on an RT target, 128 MB of memory or more is required


FlexRIO 19.0 software supports the following FlexRIO hardware:
Controllers for FlexRIO
NI-7931R
NI-7932R
NI-7935R
FlexRIO Coprocessor Modules
PXIe-7911
PXIe-7912
PXIe-7915
FlexRIO Digitizer Modules
PXIe-5763
PXIe-5764
PXIe-5775
PXIe-5774
PCIe-5774
PCIe-5763
PCIe-5764
PCIe-5775
FlexRIO Signal Generator Modules
PXIe-5745
FlexRIO IF Transceiver Modules
PXIe-5785
PCIe-5785
FlexRIO FPGA Modules
PXI-7951R
PXI-7952R
PXI-7953R
PXI-7954R
PXIe-7961R
PXIe-7962R
PXIe-7965R
PXIe-7966R
PXIe-7971R
PXIe-7972R
PXIe-7975R
PXIe-7976R
FlexRIO Adapter Modules*
NI 5731
NI 5732
NI 5733
NI 5734
NI 5741
NI 5742
NI 5751/5751B
NI 5752/5752B
NI 5753
NI 5761
NI 5762
NI 5771
NI 5772
NI 5781
NI 5782
NI 5783
NI 5791
NI 5792
NI 5793
NI 6581/6581B
NI 6583
NI 6584
NI 6585/6585B
NI 6587
NI 6589
* FlexRIO adapter modules are supported only in LabVIEW 2017, LabVIEW 2018 and LabVIEW 2019.



Buy Premium From My Links To Get Resumable Support,Max Speed & Support Me

скачать dle 12.0

Add comment

Name:*
E-Mail:*
Edit Comment:
Enter the Given Code: *
reload, if the code cannot be seen